## org.apache.batik.swing.svg
Class SVGLoadEventDispatcher

    java.lang.Object
      java.lang.Thread
          org.apache.batik.util.HaltingThread
              org.apache.batik.swing.svg.SVGLoadEventDispatcher

All Implemented Interfaces:
  java.lang.Runnable

    public class SVGLoadEventDispatcher

extends HaltingThread

This class dispatches the SVGLoadEvent event on a SVG document.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary
`protected BridgeContext` `bridgeContext` The bridge context to use.
`protected java.lang.Exception` `exception` The exception thrown.
`protected java.util.List` `listeners` The listeners.
`protected GraphicsNode` `root` The root graphics node.
`protected org.w3c.dom.svg.SVGDocument` `svgDocument` The SVG document to give to the bridge.
`protected UpdateManager` `updateManager` The update manager.

Fields inherited from class org.apache.batik.util.HaltingThread
`beenHalted`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SVGLoadEventDispatcher(GraphicsNode gn, org.w3c.dom.svg.SVGDocument doc, BridgeContext bc, UpdateManager um)` Creates a new SVGLoadEventDispatcher.

Method Summary
`void` `addSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)` Adds a SVGLoadEventDispatcherListener to this SVGLoadEventDispatcher.
`void` `fireEvent(EventDispatcher.Dispatcher dispatcher, java.lang.Object event)`
`java.lang.Exception` `getException()` Returns the exception, if any occured.
`UpdateManager` `getUpdateManager()` Returns the update manager.
`void` `removeSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)` Removes a SVGLoadEventDispatcherListener from this SVGLoadEventDispatcher.
`void` `run()` Runs the dispatcher.

Methods inherited from class org.apache.batik.util.HaltingThread
`clearHalted, halt, haltThread, haltThread, hasBeenHalted, hasBeenHalted, isHalted`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### svgDocument

    protected org.w3c.dom.svg.SVGDocument svgDocument

  The SVG document to give to the bridge.

### root

    protected GraphicsNode root

  The root graphics node.

### bridgeContext

    protected BridgeContext bridgeContext

  The bridge context to use.

### updateManager

    protected UpdateManager updateManager

  The update manager.

### listeners

    protected java.util.List listeners

  The listeners.

### exception

    protected java.lang.Exception exception

  The exception thrown.

Constructor Detail

### SVGLoadEventDispatcher

    public SVGLoadEventDispatcher(GraphicsNode gn,
                                  org.w3c.dom.svg.SVGDocument doc,
                                  BridgeContext bc,
                                  UpdateManager um)

  Creates a new SVGLoadEventDispatcher.

Method Detail

### run

    public void run()

  Runs the dispatcher.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### getUpdateManager

    public UpdateManager getUpdateManager()

  Returns the update manager.

### getException

    public java.lang.Exception getException()

  Returns the exception, if any occured.

### addSVGLoadEventDispatcherListener

    public void addSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)

  Adds a SVGLoadEventDispatcherListener to this SVGLoadEventDispatcher.

### removeSVGLoadEventDispatcherListener

    public void removeSVGLoadEventDispatcherListener(SVGLoadEventDispatcherListener l)

  Removes a SVGLoadEventDispatcherListener from this SVGLoadEventDispatcher.

### fireEvent

    public void fireEvent(EventDispatcher.Dispatcher dispatcher,
                          java.lang.Object event)

Copyright © 2008 Apache Software Foundation. All Rights Reserved.